18971c
From b4006781e8a59dc69a0dd3836fce137f08b23001 Mon Sep 17 00:00:00 2001
18971c
From: Harald Hoyer <harald@redhat.com>
18971c
Date: Tue, 25 Aug 2015 11:20:30 +0200
18971c
Subject: [PATCH] network/ifup.sh: save return value of ifup
18971c
18971c
---
18971c
 modules.d/40network/ifup.sh | 3 ++-
18971c
 1 file changed, 2 insertions(+), 1 deletion(-)
18971c
18971c
diff --git a/modules.d/40network/ifup.sh b/modules.d/40network/ifup.sh
18971c
index e51b453a..2562af61 100755
18971c
--- a/modules.d/40network/ifup.sh
18971c
+++ b/modules.d/40network/ifup.sh
18971c
@@ -396,6 +396,7 @@ for p in $(getargs ip=); do
18971c
                 do_static ;;
18971c
         esac
18971c
     done
18971c
+    ret=$?
18971c
 
18971c
     > /tmp/net.${netif}.up
18971c
 
18971c
@@ -403,7 +404,7 @@ for p in $(getargs ip=); do
18971c
         dhcp|on|any|dhcp6)
18971c
             ;;
18971c
         *)
18971c
-            if [ $? -eq 0 ]; then
18971c
+            if [ $ret -eq 0 ]; then
18971c
                 setup_net $netif
18971c
                 source_hook initqueue/online $netif
18971c
                 if [ -z "$manualup" ]; then